Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(solved) update fail block device-mapper udev e2fsprogs-libs
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
maxime1986
n00b
n00b


Joined: 23 Oct 2009
Posts: 72

PostPosted: Tue Nov 17, 2009 9:32 pm    Post subject: (solved) update fail block device-mapper udev e2fsprogs-libs Reply with quote

Hello

I want to update my gentoo

I made : emerge --sync

but when I do : emerge -p -v --update --deep world

I get : "sys-fs/device-mapper" is blocking sys-fs/udev-146-r1

I try to install lvm2 as suggest here.

but I get :
Code:
[ebuild     U ] sys-apps/util-linux-2.16.1 [2.14.2] USE="crypt nls perl%* unicode -loop-aes -old-linux (-selinux) -slang (-uclibc)" 3,408 kB
[uninstall    ] sys-fs/e2fsprogs-1.41.3-r1  USE="nls"
[blocks b     ] <sys-fs/e2fsprogs-1.41.8 ("<sys-fs/e2fsprogs-1.41.8" is blocking sys-apps/util-linux-2.16.1)
[uninstall    ] sys-libs/e2fsprogs-libs-1.41.3-r1  USE="nls"
[blocks b     ] <sys-libs/e2fsprogs-libs-1.41.8 ("<sys-libs/e2fsprogs-libs-1.41.8" is blocking sys-apps/util-linux-2.16.1)
[ebuild  N    ] sys-fs/lvm2-2.02.51-r1  USE="lvm1 readline static -clvm (-cman) (-selinux)" 772 kB
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/lvm2-2.02.51-r1)


I try to unmerge device-mapper first but :
Code:
emerge -v -p lvm2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-apps/util-linux-2.16.1 [2.14.2] USE="crypt nls perl%* unicode -loop-aes -old-linux (-selinux) -slang (-uclibc)" 3,408 kB
[ebuild  N    ] sys-fs/lvm2-2.02.51-r1  USE="lvm1 readline static -clvm (-cman) (-selinux)" 772 kB
[blocks B     ] <sys-fs/e2fsprogs-1.41.8 ("<sys-fs/e2fsprogs-1.41.8" is blocking sys-apps/util-linux-2.16.1)
[blocks B     ] <sys-libs/e2fsprogs-libs-1.41.8 ("<sys-libs/e2fsprogs-libs-1.41.8" is blocking sys-apps/util-linux-2.16.1)

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 4,180 kB
Conflict: 2 blocks (2 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'sys-libs/e2fsprogs-libs-1.41.3-r1', 'nomerge') pulled in by
    >=sys-libs/e2fsprogs-libs-1.41.0 required by ('installed', '/', 'app-crypt/mit-krb5-1.6.3-r6', 'nomerge')
    >=sys-libs/e2fsprogs-libs-1.41 required by ('installed', '/', 'sys-fs/cryptsetup-1.0.6-r2', 'nomerge')
    sys-libs/e2fsprogs-libs required by ('installed', '/', 'net-fs/nfs-utils-1.1.4-r1', 'nomerge')
    (and 1 more)

  ('installed', '/', 'sys-fs/e2fsprogs-1.41.3-r1', 'nomerge') pulled in by
    sys-fs/e2fsprogs required by system
    sys-fs/e2fsprogs required by ('installed', '/', 'sys-kernel/genkernel-3.4.10.904', 'nomerge')
    sys-fs/e2fsprogs required by world

  ('ebuild', '/', 'sys-apps/util-linux-2.16.1', 'merge') pulled in by
    sys-apps/util-linux required by system
    sys-apps/util-linux required by ('installed', '/', 'net-misc/plowshare-0.8.1', 'nomerge')
    sys-apps/util-linux required by world
    (and 2 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



for information : my emerge --info

Could you help me please ?


Thank you in advance.


Last edited by maxime1986 on Wed Nov 18, 2009 5:05 pm; edited 1 time in total
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Tue Nov 17, 2009 10:01 pm    Post subject: Reply with quote

You need to do 3 things here.

****IMPORTANT - when you unmerge e2fsprogs and e2fsprogs-libs it will temporarily kill your network so you need to fetch the new ones first
Code:
emerge --fetchonly e2fsprogs e2fsprogs-libs
emerge --unmerge e2fsprogs e2fsprogs-libs
emerge --oneshot e2fsprogs e2fsprogs-libs
Back to top
View user's profile Send private message
maxime1986
n00b
n00b


Joined: 23 Oct 2009
Posts: 72

PostPosted: Tue Nov 17, 2009 11:50 pm    Post subject: Reply with quote

After doing what you suggest :

Code:
% emerge -p -v --update --deep --newuse world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/timezone-data-2009p [2009m] USE="nls" 365 kB
[ebuild  N    ] dev-util/gtk-doc-am-1.11  443 kB
[ebuild     U ] dev-libs/libdaemon-0.13-r1 [0.12] USE="-doc -examples" 360 kB
[ebuild     U ] media-libs/tiff-3.9.2 [3.9.1] USE="cxx%* zlib -jbig -jpeg (-nocxx%)" 1,387 kB
[ebuild     U ] media-libs/gd-2.0.35-r1 [2.0.35] USE="png truetype -fontconfig -jpeg -xpm" 0 kB
[ebuild     U ] media-libs/speex-1.2_rc1 [1.2_beta3_p2] USE="ogg -sse" 1,037 kB
[ebuild     U ] sys-apps/kbd-1.15 [1.13-r1] USE="nls" 1,289 kB
[ebuild     U ] dev-libs/glib-2.20.5-r1 [2.20.5] USE="-debug -doc -fam -hardened (-selinux) -xattr" 0 kB
[ebuild     U ] sys-apps/iproute2-2.6.29.1-r1 [2.6.28] USE="berkdb -atm -minimal" 360 kB
[ebuild     U ] dev-python/setuptools-0.6.6 [0.6.4] 516 kB
[ebuild     U ] sys-apps/busybox-1.14.2 [1.13.2] USE="pam -debug -make-symlinks -savedconfig (-selinux) -static" 2,149 kB
[ebuild     U ] sys-libs/libcap-2.17 [2.16] USE="pam" 48 kB
[ebuild     U ] sys-fs/udev-146-r1 [141] USE="devfs-compat%* -extras% (-selinux)" 528 kB
[ebuild     U ] sys-apps/hal-0.5.13-r2 [0.5.12_rc1-r8] USE="acpi crypt -X -apm -consolekit -debug -dell -disk-partition -doc -laptop -policykit (-selinux)" 902 kB
[ebuild     U ] app-misc/hal-info-20090716 [20090414] 136 kB
[blocks B     ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-146-r1)

Total: 15 packages (14 upgrades, 1 new), Size of downloads: 9,513 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-fs/udev-146-r1', 'merge') pulled in by
    >=sys-fs/udev-117 required by ('ebuild', '/', 'sys-apps/hal-0.5.13-r2', 'merge')
    sys-fs/udev required by ('installed', '/', 'sys-kernel/gentoo-sources-2.6.30-r8', 'nomerge')
    >=sys-fs/udev-124 required by ('installed', '/', 'sys-fs/cryptsetup-1.0.6-r2', 'nomerge')
    (and 1 more)

  ('installed', '/', 'sys-fs/device-mapper-1.02.24-r1', 'nomerge') pulled in by
    sys-fs/device-mapper required by world
    >=sys-fs/device-mapper-1.00.07-r1 required by ('installed', '/', 'sys-fs/cryptsetup-1.0.6-r2', 'nomerge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



apparently nothings change ... :-S
Back to top
View user's profile Send private message
maxime1986
n00b
n00b


Joined: 23 Oct 2009
Posts: 72

PostPosted: Wed Nov 18, 2009 1:09 am    Post subject: Reply with quote

I found this post

so I did :
Code:
emerge -C sys-fs/device-mapper
emerge world -uDN


and everything seems to work...

I already done that before doing what "Mike Hunt" suggest .. so I think that the solution was :
first do :
Code:
emerge --fetchonly e2fsprogs e2fsprogs-libs
emerge --unmerge e2fsprogs e2fsprogs-libs
emerge --oneshot e2fsprogs e2fsprogs-libs

(I didn't notice any network breaking...)

then :
Code:
emerge -C sys-fs/device-mapper
emerge world -uDN


Thanks for everything :-D

PS : sorry for my bad english
Back to top
View user's profile Send private message
Mike Hunt
Watchman
Watchman


Joined: 19 Jul 2009
Posts: 5287

PostPosted: Wed Nov 18, 2009 5:07 am    Post subject: Reply with quote

maxime1986 wrote:
so I think that the solution was :
first do :
Code:
emerge --fetchonly e2fsprogs e2fsprogs-libs
emerge --unmerge e2fsprogs e2fsprogs-libs
emerge --oneshot e2fsprogs e2fsprogs-libs


then :
Code:
emerge -C sys-fs/device-mapper
emerge world -uDN


Cool, good tip. :)
Back to top
View user's profile Send private message
DrWilken
Apprentice
Apprentice


Joined: 12 Dec 2003
Posts: 219
Location: Oelsted ("BeerPlace"), Denmark

PostPosted: Tue Dec 08, 2009 10:42 am    Post subject: Reply with quote

maxime1986 wrote:
so I think that the solution was :
first do :
Code:
emerge --fetchonly e2fsprogs e2fsprogs-libs
emerge --unmerge e2fsprogs e2fsprogs-libs
emerge --oneshot e2fsprogs e2fsprogs-libs


then :
Code:
emerge -C sys-fs/device-mapper
emerge world -uDN


Worked great here too... :)
_________________
-=[DrWilken]=-
ASUS AT5IONT-I (64bit Dual Core Atom D525 processor with Nvidia ION(2) GPU) running Gentoo Linux... Latest and Greatest... :)
tux-power.dk
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 31342
Location: 56N 3W

PostPosted: Sat Dec 12, 2009 11:47 am    Post subject: Reply with quote

Duplicate of https://forums.gentoo.org/viewtopic-t-801954-highlight-devicemapper.html
Thanks ssuominen
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 31342
Location: 56N 3W

PostPosted: Sat Dec 12, 2009 11:47 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum